/*
//
// os.h
//
// Operating system definitions and constants
//
// Copyright (c) 1995-96 Jim Nelson.  Permission to distribute
// granted by the author.  No warranties are made on the fitness of this
// source code.
// Amiga version - 1997 - Geert Bevin
//
*/

#ifndef OS_H
#define OS_H

#include <exec/types.h>

#define PROGRAM_OS              ("Amiga")

/*
// Linux/UNIX is the only other OS being actively developed
// other UNIX platforms should pretty much look like this, though
*/

#include <unistd.h>

#define stricmp                 strcasecmp
#define strnicmp                strncasecmp

/* directory delimiters */
#define DIR_DELIMITER           '/'
#define DIR_DELIMITER_STRING    "/"
#define DIR_CURRENT_STRING      "./"

/* the "other" filesystem delimiter table (for conversion) */
#define OTHER_FILESYSTEM_DELIMITER  "\\"

/* max pathname for UNIX (may be more, but this is sufficient) */
/* (BTW, these values may be incorrect, but they should be sufficient. */
/* Anyone with more concrete values, please email me.) */
#define MAX_PATHNAME_LEN        (256)
#define MAX_CMDLINE_LEN         (1024)
#define MAX_FILENAME_LEN        (32)

/*
// all supported filesystem delimiters
*/
#define ALL_FILESYSTEM_DELIMITERS   "/\\"

#endif

